%{

/* initial C code */
#include "menu_gram.h"
#include <stdio.h>

%}

STRING [^ \"\t\n\{\}=\;]+
%s quote
%%

<quote>\" { BEGIN(INITIAL); }
\"        { BEGIN(quote);   }

<quote>[^\"]*  { return STRING; }
{STRING}       { return STRING; } 


[ \t\n]+ /* eat up whitespace */
.       { return *yytext; }

%%

/* ending c code */

void yycleanup()
{
  if (yyin)
  {
    fclose(yyin);
    yyin = NULL;
  } 

  if (yy_current_buffer) 
  {
    yy_delete_buffer(yy_current_buffer);
  }
}

FILE *yysetinput(const char *pfile)
{
  FILE *newInput = fopen(pfile,"r");
  if (newInput)
  {
    yycleanup();
    yyin = newInput;
    yy_init = 1;
  }
  return newInput;
}

int yywrap()
{
  return 1;
}
